<form nz-form [formGroup]="form" class="timekeeping-form">
    <div nz-row [nzGutter]="[30,30]">
        <!-- Nhân viên -->
        <div nz-col nzXs="24" nzLg="12">
            <employee-data-picker [mbCanText]="true"
                [mbType]="isSubmitted && form.controls['employeeId'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['employeeId'].errors != null"
                [mbErrors]="form.controls['employeeId'].errors"
                [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.timekeepingManagement.employee' | translate}}]"
                formControlName="employeeId"
                mbLabelText="{{'staffAbs.timekeepingManagement.employee' | translate}} <span class='label__required'>*</span>">
            </employee-data-picker>
        </div>

        <!-- Ngày làm việc -->
        <div nz-col nzXs="24" nzLg="12">
            <mb-date-picker formControlName="timekeepingDate"
                [mbType]="isSubmitted && form.controls['timekeepingDate'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['timekeepingDate'].errors != null"
                [mbErrors]="form.controls['timekeepingDate'].errors" [mbErrorDefs]="[
                    { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate:
                    {'param': 'staffAbs.timekeepingManagement.OT.timekeepingDate' | translate}},
                  ]" mbPlaceholderText="--{{'staffAbs.timekeepingManagement.OT.timekeepingDate' | translate}}--"
                mbLabelText="{{'staffAbs.timekeepingManagement.OT.timekeepingDate' | translate}} <span class='label__required'>*</span>">
            </mb-date-picker>
        </div>
        <!-- từ giời -->
        <div nz-col nzXs="24" nzLg="12">
            <mb-time-picker formControlName="fromTime"
                [mbFormat]="'HH:mm'"
                [mbType]="isSubmitted && form.controls['fromTime'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['fromTime'].errors != null"
                [mbErrors]="form.controls['fromTime'].errors" [mbErrorDefs]="[
                    { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate:
                    {'param': 'staffAbs.timekeepingManagement.OT.fromTime' | translate}},
                  ]" mbPlaceholderText="--{{'staffAbs.timekeepingManagement.OT.fromTime' | translate}}--"
                mbLabelText="{{'staffAbs.timekeepingManagement.OT.fromTime' | translate}} <span class='label__required'>*</span>">
            </mb-time-picker>
        </div>

        <div nz-col nzXs="24" nzLg="12">
            <mb-time-picker formControlName="toTime"
                [mbFormat]="'HH:mm'"
                [mbType]="isSubmitted && (form.controls['toTime'].errors || form.errors) ? 'error' : 'default'"
                [mbShowError]="isSubmitted && (form.controls['toTime'].errors || form.errors) != null"
                [mbErrors]="form.controls['toTime'].errors ? form.controls['toTime'].errors : ( form.errors ? form.errors : null)"
                [mbErrorDefs]="[
                  { errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.timekeepingManagement.toTime' | translate }},
                  { errorName: 'rangeDateError', errorDescription: 'staffAbs.timekeepingManagement.rangeDateError' | translate}
                ]"
                mbPlaceholderText="--{{'staffAbs.timekeepingManagement.OT.toTime' | translate}}--"
                mbLabelText="{{'staffAbs.timekeepingManagement.OT.toTime' | translate}} <span class='label__required'>*</span>">
            </mb-time-picker>
        </div>

        <div nz-col nzXs="24" nzLg="24">
            <mb-input-text [mbIsTextAre]="true" [mbMaxLength]="2000" [mnMinLength]="0"
                [mbType]="isSubmitted && form.controls['content'].errors ? 'error' : 'default'"
                [mbShowError]="isSubmitted && form.controls['content'].errors != null"
                [mbErrors]="form.controls['content'].errors"
                [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'staffAbs.validate.maxLength' | translate: {'numberLength': 2000}}]"
                mbLabelText="{{'staffAbs.timekeepingManagement.OT.content' | translate}} "
                mbPlaceholderText="--{{'staffAbs.timekeepingManagement.OT.content' | translate}}--"
                formControlName="content">
            </mb-input-text>
        </div>
        <div nz-col nzXs="24" nzLg="24">
            <label class="input__label">{{'staffAbs.label.file' | translate}}<span class='label__required'>*</span></label>
            <nz-upload
            [nzAccept]="fileType" nzType="drag" [nzMultiple]=" true" [(nzFileList)]="fileList" [nzBeforeUpload]="beforeUpload"
            [nzRemove]="removeFile" [nzDownload]="downloadFile">
                <p class="ant-upload-drag-icon">
                    <em nz-icon nzType="inbox"></em>
                </p>
                <p class="ant-upload-text">{{'common.upload.description'|translate}}</p>
                <p class="ant-upload-hint">
                    {{'common.upload.supportType'|translate}}
                </p>
            </nz-upload>
        </div>
      <!-- !!!Error: File đính kèm bắt buộc nhập -->
      <div nz-col nzXs="24" nzLg="12" class="input__group fileEmptyMessage" *ngIf="isSubmitted && isFileEmpty">
        <div class="show-error">
          <em nz-icon nzType="close-circle" nzTheme="outline"></em>
          <span class="text__message">{{'staffAbs.validate.fileRequired' | translate}}</span>
        </div>
      </div>
      <!--End: Error: File đính kèm bắt buộc nhập-->

    </div>

    <div *nzModalFooter>
        <button nz-button nzType="default" (click)="close()">{{'staffAbs.approvalFlow.cancel' | translate}}</button>
        <button nz-button nzType="primary" (click)="saveOrUpdate()">{{'staffAbs.approvalFlow.save' |
            translate}}</button>
    </div>
</form>
